# dotfiles

My personalized set of configurations.

## nvim (Neovim)

Here are the plugins I'm currently using:

- [lazy](https://github.com/folke/lazy.nvim) - Neovim plugin manager.
- [autopairs](https://github.com/windwp/nvim-autopairs) - "Autopairs" parentheses/brackets/braces/etc.
- [cmp](https://github.com/hrsh7th/nvim-cmp) - Autocompletion.
- [colorizer](https://github.com/norcalli/nvim-colorizer.lua) - Syntax highlighting.
- [conform](https://github.com/stevearc/conform.nvim) - Autoformatting.
- [gitsigns](https://github.com/lewis6991/gitsigns.nvim) - Git integration within buffer.
- [lspconfig](https://github.com/neovim/nvim-lspconfig) - Quick setup for LSP.
- [lualine](https://github.com/nvim-lualine/lualine.nvim) - Helpful status line.
- [mason](https://github.com/williamboman/mason.nvim) - Plugin manager specific to external tools (LSP/linters/formatters/etc.)
- [neo-tree](https://github.com/nvim-neo-tree/neo-tree.nvim) - File manager.
- [telescope](https://github.com/nvim-telescope/telescope.nvim) - Fuzzy finder.
- [toggleterm](https://github.com/akinsho/toggleterm.nvim) - Terminal switcher.
- [tree-sitter](https://github.com/nvim-treesitter/nvim-treesitter) - Syntax parsing for opened files.

### Requirements

- [luarocks](https://github.com/luarocks/luarocks)
- npm

### Setup

A couple of the plugins need some Node.JS packages installed first.

```
$ sudo npm install -g tree-sitter tree-sitter-cli typescript typescript-language-server
```

